Subject: Re: [PATCH bpf-next v3 09/11] selftests: Remove tools/lib/bpf from include path

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 17 Jan 2020 10:50:44 +0100

Andrii Nakryiko <[email-masked]> writes:

> On Thu, Jan 16, 2020 at 2:41 PM Andrii Nakryiko
> <[email-masked]> wrote:
>>
>> On Thu, Jan 16, 2020 at 5:28 AM Toke Høiland-Jørgensen <[email-masked]> wrote:
>> >
>> > From: Toke Høiland-Jørgensen <[email-masked]>
>> >
>> > To make sure no new files are introduced that doesn't include the bpf/
>> > prefix in its #include, remove tools/lib/bpf from the include path
>> > entirely.
>> >
>> > Instead, we introduce a new header files directory under the scratch tools/
>> > dir, and add a rule to run the 'install_headers' rule from libbpf to have a
>> > full set of consistent libbpf headers in $(OUTPUT)/tools/include/bpf, and
>> > then use $(OUTPUT)/tools/include as the include path for selftests.
>> >
>> > For consistency we also make sure we put all the scratch build files from
>> > other bpftool and libbpf into tools/build/, so everything stays within
>> > selftests/.
>> >
>> > Signed-off-by: Toke Høiland-Jørgensen <[email-masked]>
>> > ---
>
> BTW, this change also now forces full rebuild regardless if anything
> changed or not :(

It does? Hmm, that was not intentional (I was mostly focused on making
sure a clean make worked, not the opposite). I'll see if I can't fix
that as well...

-Toke